View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000382OpenFOAM[All Projects] Bugpublic2012-01-07 20:462012-01-24 07:55
Reporteralbertop 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSopenSUSEOS Version12.1
Product Version2.1.x 
Target VersionFixed in Version 
Summary0000382: Time step value in controlDict is ignored on restart
DescriptionThe time step value in controlDict is ignored if a simulation is restarted. The time-step used is read from .../uniform/time instead.
Steps To Reproduce- Run the cavity tutorial for icoFoam until a final time t = 0.5s: the time-step will be of 0.005s

- Edit controlDict and change:
  - startFrom latestTime;
  - endTime 1;
  - deltaT 0.001;

- Re-start the simulation: the time step will still be 0.005s.
Additional InformationSource: This issue was reported by Daniel Wei on CFD-Online ( http://www.cfd-online.com/Forums/openfoam-solving/95872-feature-bug-deltat-issue.html [^] )
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000907)
henry (manager)
2012-01-07 22:11

> The time step value in controlDict is ignored if a simulation is restarted. The time-step used is read from .../uniform/time instead.

Indeed, and this is the purpose of the value of deltaT in .../uniform/time so that the restart is indeed a restart and behaves as if the run had continued running. To restart overriding the time-step from the previous run simply delete the .../uniform/time file.
(0000950)
henry (manager)
2012-01-23 22:57

I have reconsidered the current time-step setting on restart and propose an alternative strategy of using the deltaT in the controlDict if "adjustTimeStep" is not present or set otherwise use that in the "uniform/time" file.

See what you think.

Commit: 80aa7bf3264222794f58159e1ae6cf8aa2c9bf39
(0000952)
albertop (reporter)
2012-01-24 02:18

It sounds good to me. With the new approach, users won't have to edit the uniform/time file if they use a constant time step (which is the only case when it makes sense to change it by hand in controlDict anyway in my opinion).

Thanks for the change :-)

- Issue History
Date Modified Username Field Change
2012-01-07 20:46 albertop New Issue
2012-01-07 22:11 henry Note Added: 0000907
2012-01-07 22:11 henry Status new => closed
2012-01-07 22:11 henry Assigned To => henry
2012-01-07 22:11 henry Resolution open => fixed
2012-01-23 22:57 henry Note Added: 0000950
2012-01-23 22:57 henry Status closed => resolved
2012-01-24 02:18 albertop Note Added: 0000952
2012-01-24 02:18 albertop Status resolved => feedback
2012-01-24 02:18 albertop Resolution fixed => reopened
2012-01-24 07:55 henry Status feedback => closed
2012-01-24 07:55 henry Resolution reopened => fixed